{
    "dynamic":"strict",
    "properties": {
        "id":{"type":"long"},
        "diary_id": {"type": "long"},
        "user":{
            "type":"object",
            "properties":{
                "id":{"type":"long"},
                "last_name":{"type":"string","analyzer":"gm_default_index","search_analyzer":"gm_default_search"}, //用户昵称
                "city_tag_id":{"type":"long"}, //所在城市tag id
                "city_province_tag_id":{"type":"long"}, //所在省份tag id
                "city_province_country_tag_id": {"type": "long"}, // 所在国家 tag id
                "is_doctor":{"type":"boolean"} //是否是医生
            }
        },

        "has_video":{"type":"boolean"}, //是否有关联视频

        "topic_type":{"type":"string","index":"not_analyzed"}, //帖子类型

        "private_status":{"type":"string","index":"not_analyzed"}, //是否私信问题

        "flag":{"type":"string","index":"not_analyzed"}, //是否被删除(n/d)

        "title":{"type":"string","analyzer":"gm_default_index","search_analyzer":"gm_default_search"}, //帖子标题(ask)
        "title2":{"type":"string","analyzer":"gm_default_index","search_analyzer":"gm_default_search"}, //帖子标题(title)

        "content":{"type":"string","analyzer":"gm_default_index","search_analyzer":"gm_default_search"}, //帖子内容

        "tags":{"type":"string","analyzer":"gm_default_index","search_analyzer":"gm_default_search"}, //帖子tag
        "closure_tag_ids":{"type":"long"}, //帖子tag id闭包
        "tag_ids":{"type":"long"}, //帖子tag id

        // 新标签
        "fresh_tags":{"type":"string","analyzer":"gm_default_index","search_analyzer":"gm_default_search"}, //帖子tag
        "fresh_closure_tag_ids":{"type":"long"}, //帖子tag id闭包
        "fresh_tag_ids":{"type":"long"}, //帖子tag id


        "replys":{ //帖子回复
            "type":"nested",
            "properties":{
                "id":{"type":"long"}, //回复id
                "content":{"type":"string","analyzer":"gm_default_index","search_analyzer":"gm_default_search"} //回复内容
            }
        },
        "replys_num":{"type":"long"},
        "last_update_time":{ //最后更新时间(回复时间/修改时间)
            "type":"date",
            "format":"date_time_no_millis"
        },

        "popularity":{"type":"long"}, //热度
        "ranking_popularity":{"type":"double"}, //另一个热度(http://wiki.gengmei.cc/pages/viewpage.action?pageId=3366077)

        "is_online":{"type":"boolean"}, //是否上线

        "is_elite":{"type":"boolean"}, //是否精华帖

        "is_sink":{"type":"boolean"}, //是否下沉
        "is_diary_sink_or_topic_sink":{"type":"boolean"}, //是否下沉

        "is_public":{"type":"boolean"}, //是否公开

        "is_topic":{"type":"boolean"}, //是否话题贴

        "channel_headline":{"type":"boolean"}, //频道置顶

        "pgc_category":{"type":"long"}, //PGC内容分类

        "created_time":{"type":"date","format":"date_time_no_millis"}, //创建时间
        "doctor_num":{"type":"long"}, //有多少医生回复
        "has_doctor_reply":{"type":"boolean"}, //是否有医生回复

        "topic_score":{ //帖子回复权重
            "type":"object",
            "properties":{
                "user_id":{"type":"long"},
                "score":{"type":"long"}
            }

        },

        "has_image":{"type":"boolean"}, //提问是否有图片

        "latest_reply_time": {"type":"date", "format":"date_time_no_millis"},//针对该帖子最新回复时间
        "topic_vote_count":{"type":"long"}, //帖子点赞数
        "suggest":{ //[DEPRECATED]推荐用字段
            "type":"object",
            "properties":{
                "pre_calc_score":{"type":"double"}
            }
        },
        "in_multitopic":{"type":"boolean"},
        "in_whitelist":{"type":"boolean"}, // whether problem_id or question_id is in MultiTopicReview
        "content_level":{"type":"double"}
    }
}
